# OneDrive — File Storage API: gotchas

> Canonical URL: https://developers.apideck.com/apis/file-storage/onedrive/gotchas

## GET /file-storage/files

OneDrive does not expose a total record count in list responses. `meta.total_count` will not appear.

## POST /file-storage/files

OneDrive limits file uploads to 4MB. Please use the [Upload Sessions API](#operation/uploadSessionsStart) to upload bigger files.
## POST /file-storage/files/search

If you want to search for files by name and extension send query as {filename AND extension} like `{apideck AND .png}`.
## GET /file-storage/drives

OneDrive does not include a total record count in default list responses. `meta.total_count` will not appear.


[API reference](https://developers.apideck.com/apis/file-storage/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/file-storage/coverage)
